#pragma once

#include "Proxies.hpp"
#include "Process.hpp"

namespace Proxies {

	class GenericProxy;

	class OptimizeFlatShadingProcess:
		public Process
	{
	public:
		OptimizeFlatShadingProcess()
			{}
		OptimizeFlatShadingProcess(Stuff::NotationFile *data_file):
			Process(data_file)
				{}

		virtual void
			OptimizeCallback(GenericProxy* proxy)
				{}
	};

}
